<?xml version="1.0"?>
<log4net>
	<logger name="default" additivity="true">
		<level value="DEBUG" />
		<appender-ref ref="RollingFile" />
		<!-- <appender-ref ref="VSConsole" />
		<appender-ref ref="Console" />
		<appender-ref ref="UserConsole" /> -->
	</logger>

	<logger name="user" additivity="true">
		<level value="DEBUG" />
		<!-- <appender-ref ref="RollingFileUser" /> -->
		<!-- <appender-ref ref="VSConsole" />
		<appender-ref ref="Console" />
		<appender-ref ref="UserConsole" /> -->
	</logger>

	<logger name="download" additivity="true">
		<level value="DEBUG" />
		<appender-ref ref="RollingFileDownload" />
		<!-- <appender-ref ref="VSConsole" />
		<appender-ref ref="Console" />
		<appender-ref ref="UserConsole" /> -->
	</logger>

	<logger name="update" additivity="true">
		<level value="DEBUG" />
		<appender-ref ref="RollingFileUpdate" />
		<!-- <appender-ref ref="VSConsole" />
		<appender-ref ref="Console" />
		<appender-ref ref="UserConsole" /> -->
	</logger>

	<logger name="populate" additivity="true">
		<level value="DEBUG" />
		<appender-ref ref="RollingFilePopulate" />
		<!-- <appender-ref ref="VSConsole" />
		<appender-ref ref="Console" />
		<appender-ref ref="UserConsole" /> -->
	</logger>

<!-- Appenders -->
	<appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
		<file value="Logs\checkVersion.log" />
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<appendToFile value="true" />
		<maxSizeRollBackups value="10" />
		<param name="RollingStyle" value="Date"/>
		<param name="DatePattern" value=".yyyy.MM.dd.'log'"/>
		<param name="StaticLogFileName" value="false"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="%date [%level]: %message%newline" />
		</layout>
	</appender>

<!-- 	<appender name="RollingFileUser" type="log4net.Appender.RollingFileAppender">
		<file value="Logs\User.log" />
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<appendToFile value="true" />
		<maxSizeRollBackups value="10" />
		<param name="RollingStyle" value="Date"/>
		<param name="DatePattern" value=".yyyy.MM.dd.'log'"/>
		<param name="StaticLogFileName" value="false"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="%date [%level]  %thread: %class.%method - %message%newline" />
		</layout>
	</appender -->>

	<appender name="RollingFileDownload" type="log4net.Appender.RollingFileAppender">
		<file value="Logs\downloads.log" />
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<appendToFile value="true" />
		<maxSizeRollBackups value="10" />
		<param name="RollingStyle" value="Date"/>
		<param name="DatePattern" value=".yyyy.MM.dd.'log'"/>
		<param name="StaticLogFileName" value="false"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="%date: %message%newline" />
		</layout>
	</appender>

	<appender name="RollingFileUpdate" type="log4net.Appender.RollingFileAppender">
		<file value="Logs\update.log" />
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<appendToFile value="true" />
		<maxSizeRollBackups value="10" />
		<param name="RollingStyle" value="Date"/>
		<param name="DatePattern" value=".yyyy.MM.dd.'log'"/>
		<param name="StaticLogFileName" value="false"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="%date [%level]: %message%newline" />
		</layout>
	</appender>

	<appender name="RollingFilePopulate" type="log4net.Appender.RollingFileAppender">
		<file value="Logs\populate.log" />
		<lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
		<appendToFile value="true" />
		<maxSizeRollBackups value="10" />
		<param name="RollingStyle" value="Date"/>
		<param name="DatePattern" value=".yyyy.MM.dd.'log'"/>
		<param name="StaticLogFileName" value="false"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="%date [%level]: %message%newline" />
		</layout>
	</appender>

<!-- 	<appender name="VSConsole" type="log4net.Appender.TraceAppender">
		<param name="RollingStyle" value="Date"/>
		<param name="DatePattern" value=".yyyy.MM.dd.'log'"/>
		<param name="StaticLogFileName" value="false"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="%5level [%thread]: %message%newline" />
		</layout>
	</appender> -->

<!-- 	<appender name="Console" type="log4net.Appender.ConsoleAppender">
		<param name="RollingStyle" value="Date"/>
		<param name="DatePattern" value=".yyyy.MM.dd.'log'"/>
		<param name="StaticLogFileName" value="false"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="%date [%level] %thread: - %message%newline" />
		</layout>
	</appender> -->

<!-- 	<appender name="UserConsole" type="log4net.Appender.ConsoleAppender">
		<param name="RollingStyle" value="Date"/>
		<param name="DatePattern" value=".yyyy.MM.dd.'log'"/>
		<param name="StaticLogFileName" value="false"/>
		<layout type="log4net.Layout.PatternLayout,log4net">
			<conversionPattern value="[%date]: %message%newline" />
		</layout>
	</appender> -->
</log4net>